Package org.apache.calcite.avatica.proto

## Class Common.MetaDataOperationArgument.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>
      - - org.apache.calcite.avatica.proto.Common.MetaDataOperationArgument.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.lang.Cloneable`, `Common.MetaDataOperationArgumentOrBuilder`

Enclosing class:
  Common.MetaDataOperationArgument

    public static final class Common.MetaDataOperationArgument.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>
    implements Common.MetaDataOperationArgumentOrBuilder

     Represents the breadth of arguments to DatabaseMetaData functions

Protobuf type `MetaDataOperationArgument`

### Field Summary

Fields
`private int` `bitField0_`
`private boolean` `boolValue_`
`private java.util.List<java.lang.Integer>` `intArrayValues_`
`private int` `intValue_`
`private com.google.protobuf.LazyStringList` `stringArrayValues_`
`private java.lang.Object` `stringValue_`
`private int` `type_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.MetaDataOperationArgument.Builder` `addAllIntArrayValues​(java.lang.Iterable<? extends java.lang.Integer> values)` `repeated sint32 int_array_values = 5;`
`Common.MetaDataOperationArgument.Builder` `addAllStringArrayValues​(java.lang.Iterable<java.lang.String> values)` `repeated string string_array_values = 4;`
`Common.MetaDataOperationArgument.Builder` `addIntArrayValues​(int value)` `repeated sint32 int_array_values = 5;`
`Common.MetaDataOperationArgument.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Common.MetaDataOperationArgument.Builder` `addStringArrayValues​(java.lang.String value)` `repeated string string_array_values = 4;`
`Common.MetaDataOperationArgument.Builder` `addStringArrayValuesBytes​(com.google.protobuf.ByteString value)` `repeated string string_array_values = 4;`
`Common.MetaDataOperationArgument` `build()`
`Common.MetaDataOperationArgument` `buildPartial()`
`Common.MetaDataOperationArgument.Builder` `clear()`
`Common.MetaDataOperationArgument.Builder` `clearBoolValue()` `bool bool_value = 2;`
`Common.MetaDataOperationArgument.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.MetaDataOperationArgument.Builder` `clearIntArrayValues()` `repeated sint32 int_array_values = 5;`
`Common.MetaDataOperationArgument.Builder` `clearIntValue()` `sint32 int_value = 3;`
`Common.MetaDataOperationArgument.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.MetaDataOperationArgument.Builder` `clearStringArrayValues()` `repeated string string_array_values = 4;`
`Common.MetaDataOperationArgument.Builder` `clearStringValue()` `string string_value = 1;`
`Common.MetaDataOperationArgument.Builder` `clearType()` `.MetaDataOperationArgument.ArgumentType type = 6;`
`Common.MetaDataOperationArgument.Builder` `clone()`
`private void` `ensureIntArrayValuesIsMutable()`
`private void` `ensureStringArrayValuesIsMutable()`
`boolean` `getBoolValue()` `bool bool_value = 2;`
`Common.MetaDataOperationArgument` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getIntArrayValues​(int index)` `repeated sint32 int_array_values = 5;`
`int` `getIntArrayValuesCount()` `repeated sint32 int_array_values = 5;`
`java.util.List<java.lang.Integer>` `getIntArrayValuesList()` `repeated sint32 int_array_values = 5;`
`int` `getIntValue()` `sint32 int_value = 3;`
`java.lang.String` `getStringArrayValues​(int index)` `repeated string string_array_values = 4;`
`com.google.protobuf.ByteString` `getStringArrayValuesBytes​(int index)` `repeated string string_array_values = 4;`
`int` `getStringArrayValuesCount()` `repeated string string_array_values = 4;`
`com.google.protobuf.ProtocolStringList` `getStringArrayValuesList()` `repeated string string_array_values = 4;`
`java.lang.String` `getStringValue()` `string string_value = 1;`
`com.google.protobuf.ByteString` `getStringValueBytes()` `string string_value = 1;`
`Common.MetaDataOperationArgument.ArgumentType` `getType()` `.MetaDataOperationArgument.ArgumentType type = 6;`
`int` `getTypeValue()` `.MetaDataOperationArgument.ArgumentType type = 6;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.MetaDataOperationArgument.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.MetaDataOperationArgument.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`Common.MetaDataOperationArgument.Builder` `mergeFrom​(Common.MetaDataOperationArgument other)`
`Common.MetaDataOperationArgument.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.MetaDataOperationArgument.Builder` `setBoolValue​(boolean value)` `bool bool_value = 2;`
`Common.MetaDataOperationArgument.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Common.MetaDataOperationArgument.Builder` `setIntArrayValues​(int index, int value)` `repeated sint32 int_array_values = 5;`
`Common.MetaDataOperationArgument.Builder` `setIntValue​(int value)` `sint32 int_value = 3;`
`Common.MetaDataOperationArgument.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)`
`Common.MetaDataOperationArgument.Builder` `setStringArrayValues​(int index, java.lang.String value)` `repeated string string_array_values = 4;`
`Common.MetaDataOperationArgument.Builder` `setStringValue​(java.lang.String value)` `string string_value = 1;`
`Common.MetaDataOperationArgument.Builder` `setStringValueBytes​(com.google.protobuf.ByteString value)` `string string_value = 1;`
`Common.MetaDataOperationArgument.Builder` `setType​(Common.MetaDataOperationArgument.ArgumentType value)` `.MetaDataOperationArgument.ArgumentType type = 6;`
`Common.MetaDataOperationArgument.Builder` `setTypeValue​(int value)` `.MetaDataOperationArgument.ArgumentType type = 6;`
`Common.MetaDataOperationArgument.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Field Detail

#### bitField0_

    private int bitField0_

#### stringValue_

    private java.lang.Object stringValue_

#### boolValue_

    private boolean boolValue_

#### intValue_

    private int intValue_

#### stringArrayValues_

    private com.google.protobuf.LazyStringList stringArrayValues_

#### intArrayValues_

    private java.util.List<java.lang.Integer> intArrayValues_

#### type_

    private int type_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.MetaDataOperationArgument.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### getDefaultInstanceForType

    public Common.MetaDataOperationArgument getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.MetaDataOperationArgument build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.MetaDataOperationArgument buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.MetaDataOperationArgument.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### setField

    public Common.MetaDataOperationArgument.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             java.lang.Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### clearField

    public Common.MetaDataOperationArgument.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### clearOneof

    public Common.MetaDataOperationArgument.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### setRepeatedField

    public Common.MetaDataOperationArgument.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     int index,
                                                                     java.lang.Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### addRepeatedField

    public Common.MetaDataOperationArgument.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     java.lang.Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### mergeFrom

    public Common.MetaDataOperationArgument.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.MetaDataOperationArgument.Builder>`

#### mergeFrom

    public Common.MetaDataOperationArgument.Builder mergeFrom​(Common.MetaDataOperationArgument other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### mergeFrom

    public Common.MetaDataOperationArgument.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws java.io.IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.MetaDataOperationArgument.Builder>`
Throws:
  `java.io.IOException`

#### getStringValue

    public java.lang.String getStringValue()

`string string_value = 1;`

Specified by:
  `getStringValue` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getStringValueBytes

    public com.google.protobuf.ByteString getStringValueBytes()

`string string_value = 1;`

Specified by:
  `getStringValueBytes` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### setStringValue

    public Common.MetaDataOperationArgument.Builder setStringValue​(java.lang.String value)

`string string_value = 1;`

#### clearStringValue

    public Common.MetaDataOperationArgument.Builder clearStringValue()

`string string_value = 1;`

#### setStringValueBytes

    public Common.MetaDataOperationArgument.Builder setStringValueBytes​(com.google.protobuf.ByteString value)

`string string_value = 1;`

#### getBoolValue

    public boolean getBoolValue()

`bool bool_value = 2;`

Specified by:
  `getBoolValue` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### setBoolValue

    public Common.MetaDataOperationArgument.Builder setBoolValue​(boolean value)

`bool bool_value = 2;`

#### clearBoolValue

    public Common.MetaDataOperationArgument.Builder clearBoolValue()

`bool bool_value = 2;`

#### getIntValue

    public int getIntValue()

`sint32 int_value = 3;`

Specified by:
  `getIntValue` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### setIntValue

    public Common.MetaDataOperationArgument.Builder setIntValue​(int value)

`sint32 int_value = 3;`

#### clearIntValue

    public Common.MetaDataOperationArgument.Builder clearIntValue()

`sint32 int_value = 3;`

#### ensureStringArrayValuesIsMutable

    private void ensureStringArrayValuesIsMutable()

#### getStringArrayValuesList

    public com.google.protobuf.ProtocolStringList getStringArrayValuesList()

`repeated string string_array_values = 4;`

Specified by:
  `getStringArrayValuesList` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getStringArrayValuesCount

    public int getStringArrayValuesCount()

`repeated string string_array_values = 4;`

Specified by:
  `getStringArrayValuesCount` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getStringArrayValues

    public java.lang.String getStringArrayValues​(int index)

`repeated string string_array_values = 4;`

Specified by:
  `getStringArrayValues` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getStringArrayValuesBytes

    public com.google.protobuf.ByteString getStringArrayValuesBytes​(int index)

`repeated string string_array_values = 4;`

Specified by:
  `getStringArrayValuesBytes` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### setStringArrayValues

    public Common.MetaDataOperationArgument.Builder setStringArrayValues​(int index,
                                                                         java.lang.String value)

`repeated string string_array_values = 4;`

#### addStringArrayValues

    public Common.MetaDataOperationArgument.Builder addStringArrayValues​(java.lang.String value)

`repeated string string_array_values = 4;`

#### addAllStringArrayValues

    public Common.MetaDataOperationArgument.Builder addAllStringArrayValues​(java.lang.Iterable<java.lang.String> values)

`repeated string string_array_values = 4;`

#### clearStringArrayValues

    public Common.MetaDataOperationArgument.Builder clearStringArrayValues()

`repeated string string_array_values = 4;`

#### addStringArrayValuesBytes

    public Common.MetaDataOperationArgument.Builder addStringArrayValuesBytes​(com.google.protobuf.ByteString value)

`repeated string string_array_values = 4;`

#### ensureIntArrayValuesIsMutable

    private void ensureIntArrayValuesIsMutable()

#### getIntArrayValuesList

    public java.util.List<java.lang.Integer> getIntArrayValuesList()

`repeated sint32 int_array_values = 5;`

Specified by:
  `getIntArrayValuesList` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getIntArrayValuesCount

    public int getIntArrayValuesCount()

`repeated sint32 int_array_values = 5;`

Specified by:
  `getIntArrayValuesCount` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getIntArrayValues

    public int getIntArrayValues​(int index)

`repeated sint32 int_array_values = 5;`

Specified by:
  `getIntArrayValues` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### setIntArrayValues

    public Common.MetaDataOperationArgument.Builder setIntArrayValues​(int index,
                                                                      int value)

`repeated sint32 int_array_values = 5;`

#### addIntArrayValues

    public Common.MetaDataOperationArgument.Builder addIntArrayValues​(int value)

`repeated sint32 int_array_values = 5;`

#### addAllIntArrayValues

    public Common.MetaDataOperationArgument.Builder addAllIntArrayValues​(java.lang.Iterable<? extends java.lang.Integer> values)

`repeated sint32 int_array_values = 5;`

#### clearIntArrayValues

    public Common.MetaDataOperationArgument.Builder clearIntArrayValues()

`repeated sint32 int_array_values = 5;`

#### getTypeValue

    public int getTypeValue()

`.MetaDataOperationArgument.ArgumentType type = 6;`

Specified by:
  `getTypeValue` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### setTypeValue

    public Common.MetaDataOperationArgument.Builder setTypeValue​(int value)

`.MetaDataOperationArgument.ArgumentType type = 6;`

#### getType

    public Common.MetaDataOperationArgument.ArgumentType getType()

`.MetaDataOperationArgument.ArgumentType type = 6;`

Specified by:
  `getType` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### setType

    public Common.MetaDataOperationArgument.Builder setType​(Common.MetaDataOperationArgument.ArgumentType value)

`.MetaDataOperationArgument.ArgumentType type = 6;`

#### clearType

    public Common.MetaDataOperationArgument.Builder clearType()

`.MetaDataOperationArgument.ArgumentType type = 6;`

#### setUnknownFields

    public final Common.MetaDataOperationArgument.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`

#### mergeUnknownFields

    public final Common.MetaDataOperationArgument.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.MetaDataOperationArgument.Builder>`